### Method

# ICalGLib Duration as_utc_seconds

since: 4.0

#### Declaration [src]

    gint
    i_cal_duration_as_utc_seconds (
      ICalDuration* duration
    )

#### Description [src]

Extracts the duration in seconds from an `ICalDuration` on a continuous timeline with 24-hour days. Supports days, weeks, and negative durations.

Available since: 4.0

#### Return value

Type: `gint`

The duration in seconds.